# Uses of Interface
org.opensaml.saml.common.binding.artifact.SAMLArtifact

Packages that use SAMLArtifact
Package
Description
org.opensaml.saml.common.binding.artifact
Classes supporting SAML artifact use.
org.opensaml.saml.criterion
`Criterion` based on SAML message/protocol information.
org.opensaml.saml.saml1.binding.artifact
Classes that may be used to create and manipulate SAML 1 artifacts.
org.opensaml.saml.saml2.binding.artifact
Classes that may be used to create and manipulate SAML 2 artifacts.

## Uses of SAMLArtifact in org.opensaml.saml.common.binding.artifact

Subinterfaces of SAMLArtifact in org.opensaml.saml.common.binding.artifact
Modifier and Type
Interface
Description
`interface`
`SAMLSourceIDArtifact`
A specialization of `SAMLArtifact` which exposes a source ID.
`interface`
`SAMLSourceLocationArtifact`
A specialization of `SAMLArtifact` which exposes a source location URI.
Classes in org.opensaml.saml.common.binding.artifact that implement SAMLArtifact
Modifier and Type
Class
Description
`class`
`AbstractSAMLArtifact`
Base class for SAML artifacts.

## Uses of SAMLArtifact in org.opensaml.saml.criterion

Fields in org.opensaml.saml.criterion declared as SAMLArtifact
Modifier and Type
Field
Description
`private final SAMLArtifact`
ArtifactCriterion.`artifact`
The SourceID value.
Methods in org.opensaml.saml.criterion that return SAMLArtifact
Modifier and Type
Method
Description
`SAMLArtifact`
ArtifactCriterion.`getArtifact()`
Get the SAML artifact.
Constructors in org.opensaml.saml.criterion with parameters of type SAMLArtifact
Modifier
Constructor
Description
``
`ArtifactCriterion(SAMLArtifact newArtifact)`
Constructor.

## Uses of SAMLArtifact in org.opensaml.saml.saml1.binding.artifact

Subinterfaces of SAMLArtifact in org.opensaml.saml.saml1.binding.artifact
Modifier and Type
Interface
Description
`interface`
`SAML1Artifact`
Interface marker for SAML 1 artifacts.
Classes in org.opensaml.saml.saml1.binding.artifact that implement SAMLArtifact
Modifier and Type
Class
Description
`class`
`AbstractSAML1Artifact`
SAML 1 Artifact marker.
`class`
`SAML1ArtifactType0001`
SAML 1.X Type 0x0001 Artifact.
`class`
`SAML1ArtifactType0002`
SAML 1 Type 0x0002 Artifact.

## Uses of SAMLArtifact in org.opensaml.saml.saml2.binding.artifact

Subinterfaces of SAMLArtifact in org.opensaml.saml.saml2.binding.artifact
Modifier and Type
Interface
Description
`interface`
`SAML2Artifact`
Interface for SAML 2 artifacts.
Classes in org.opensaml.saml.saml2.binding.artifact that implement SAMLArtifact
Modifier and Type
Class
Description
`class`
`AbstractSAML2Artifact`
SAML 2 Artifact base class.
`class`
`SAML2ArtifactType0004`
SAML 2 Type 0x004 Artifact.